#include "stuff.h"
#include <io.h>

volatile bool close_button_pressed = false;
void close_button_callback() {
    close_button_pressed = true;
}

extern void jspedit(string filename);

int main(int argc, char* argv[]) {
    allegro_init();
    install_keyboard();
    install_mouse();

    set_color_depth(8);
    set_gfx_mode(GFX_AUTODETECT_WINDOWED, 800, 600, 0, 0);
    set_window_title("JSP Archive Utility");
    enable_hardware_cursor();
    select_mouse_cursor(MOUSE_CURSOR_ARROW);
    show_mouse(screen);
    set_close_button_callback(close_button_callback);

    string exe = argv[0];
    string dir = exe.substr(0, exe.find_last_of("\\/"));
    chdir(dir.c_str());

    PALETTE pal;
    destroy_bitmap(load_bitmap("palette.bmp", pal));
    set_palette(pal);

    string filename = "";
    if (argc > 1) filename = argv[1];

    jspedit(filename);

    return 0;
}

END_OF_MAIN();
