#ifndef JSPFILE_H_INCLUDED
#define JSPFILE_H_INCLUDED

#include "stuff.h"
#include <vector>
using std::vector;

struct jspfile {
    short imageCount;

    struct info {
        short width, height;
        short originX, originY;
        int byteSize;
        short mystery[2];
    };

    vector<info> imageInfo;
    vector<Bitmap> images;

    static bool load(jspfile& file, string filename);
    static bool save(jspfile& file, string filename);
};

#endif // JSPFILE_H_INCLUDED
